PureJavaCrc32 (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.utils

## Class PureJavaCrc32

- java.lang.Object
- - org.apache.cassandra.utils.PureJavaCrc32

- All Implemented Interfaces:
    com.github.tjake.ICRC32, java.util.zip.Checksum

      public class PureJavaCrc32
      extends java.lang.Object
      implements com.github.tjake.ICRC32

  NOTE: You should be using CRCFactory class because it will pick a better version based on your JDK version A pure-java implementation of the CRC32 checksum that uses the same polynomial as the built-in native CRC32. This is to avoid the JNI overhead for certain uses of Checksumming where many small pieces of data are checksummed in succession. The current version is ~10x to 1.8x as fast as Sun's native java.util.zip.CRC32 in Java 1.6
  See Also:
    `This class is copied from hadoop-commons project and retains that formatting. (The initial patch added PureJavaCrc32 was HADOOP-6148)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PureJavaCrc32()` Create a new PureJavaCrc32 object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCrc()`
    `long` | `getValue()`
    `void` | `reset()`
    `void` | `update(byte[] b, int off, int len)`
    `void` | `update(java.nio.ByteBuffer b, int off, int len)`
    `void` | `update(int b)`
    `void` | `updateInt(int v)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PureJavaCrc32

          public PureJavaCrc32()

      Create a new PureJavaCrc32 object.

  - ### Method Detail

    - #### getValue

          public long getValue()

      Specified by:
        `getValue` in interface `java.util.zip.Checksum`

    - #### getCrc

          public int getCrc()

      Specified by:
        `getCrc` in interface `com.github.tjake.ICRC32`

    - #### reset

          public void reset()

      Specified by:
        `reset` in interface `java.util.zip.Checksum`

    - #### update

          public void update(byte[] b,
                             int off,
                             int len)

      Specified by:
        `update` in interface `java.util.zip.Checksum`

    - #### update

          public void update(java.nio.ByteBuffer b,
                             int off,
                             int len)

      Specified by:
        `update` in interface `com.github.tjake.ICRC32`

    - #### update

          public final void update(int b)

      Specified by:
        `update` in interface `java.util.zip.Checksum`

    - #### updateInt

          public final void updateInt(int v)

      Specified by:
        `updateInt` in interface `com.github.tjake.ICRC32`

Copyright © 2018 The Apache Software Foundation